<?php

$geo=array( "Francia" => "Parigi", "Italia"=>"Roma", "Bulgaria"=>"Sofia", "Portogallo"=>"Lisbona",
            "Spagna"  => "Madrid", "Germania"=>"Berlino", "Austria"=>"Vienna", "Grecia"=>"Atene" );

			
			

echo<<<HTML_OPEN
<html>
	<head>
		<title>Form</title>
	</head>
	<body>
HTML_OPEN;

//Scelta se visualizzare la pagina FORM o se gestire i parametri
if(!isset($_REQUEST['risposta'])){ 
/*********************************************
 *** VISUALIZZAZIONE FORM ********************
 *********************************************/
echo "<form action='testGeo.php' method='get'>\n";
 
/* estraggo la domanda */
$nazioni = array_keys($geo); // creo un array geografico delle nazioni
shuffle($nazioni);           // riordino in modo casuale l'array delle nazioni
$domanda = $nazioni[0];      // prendo come domanda 
echo "<p>Qual' la capitale di $domanda ?</p>\n";
echo "<input type='hidden' name='domanda' value='$domanda' />";

/* estraggo tre possibili candidati prendendo le prime 3 dall'array appena rimescolato
   in questo modo sono sicuro che mantengo anche la risposta corretta  */
for($i=0;$i<3;$i++) $candidati[$i]=$nazioni[$i]; // estraggo tre candidati
shuffle($candidati);                             // riordino l'array dei candidati

foreach($candidati as $candidato) echo "<input type='radio' name='risposta' value='$geo[$candidato]'/>$geo[$candidato]\n";
echo '</br><input type="submit" value="submit" />';
echo '</form>';

}
else{
/*********************************************
 *** GESTIONE PARAMETRI E FEEDBACK UTENTE ****
 *********************************************/
$domanda   = $_REQUEST['domanda'];
$risposta  = $_REQUEST['risposta'];

if($risposta == $geo[$domanda])	echo "<h2>Risposta esatta</h2>";
else                            echo "<h2>Risposta errata</h2>";

echo "<h3>$geo[$domanda]  la capitale di $domanda</h3>";
echo "<a href='testGeo.php'>nuovo test</a>";
}

echo<<<HTML_CLOSE
	</body>
</html>
HTML_CLOSE;
?>